<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="PgInterface" />
    </artifacts-to-build>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="ac3e85f3-13b5-472b-b1fe-97aa41c98222" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/.idea/libraries/fastjson_1_2_53.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgLineType.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgLineHoleRs.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/test/PlanData.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/resources/bin/fastjson-1.2.53.jar" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/artifacts/PgInterface.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/artifacts/PgInterface.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/artifacts/PgInterface_war.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/artifacts/PgInterface_war_exploded.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/PgInterface.iml" beforeDir="false" afterPath="$PROJECT_DIR$/PgInterface.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/core/hibernate/HibernateGenericDao.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/core/hibernate/HibernateGenericDao.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/manager/PgPipeLineManager.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/manager/PgPipeLineManager.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/domain/PgLineHole.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/domain/PgLineHole.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgLineHoleDTO.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgLineHoleDTO.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgPlanParams.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgPlanParams.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgPlanResultRe.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgPlanResultRe.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/manager/PgLineHoleManager.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/manager/PgLineHoleManager.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/manager/PgPileAcuManager.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/manager/PgPileAcuManager.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/manager/PgPileManager.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/manager/PgPileManager.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/manager/PgSectionManager.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/manager/PgSectionManager.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgInNewPlanRs.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgInNewPlanRs.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgLogRs.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgLogRs.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgPileRs.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgPileRs.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgPipeLineRs.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgPipeLineRs.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgSectionRs.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgSectionRs.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/智能规划.docx" beforeDir="false" afterPath="$PROJECT_DIR$/智能规划.docx" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/管廊数据库设计说明20190828.docx" beforeDir="false" afterPath="$PROJECT_DIR$/管廊数据库设计说明20190828.docx" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/../out/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand />
    <select />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="1382581099">
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="class" value="2" />
          <entry key="iml" value="2" />
          <entry key="java" value="557" />
          <entry key="properties" value="9" />
          <entry key="xml" value="7" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="CLASS" value="2" />
          <entry key="IDEA_MODULE" value="2" />
          <entry key="JAVA" value="557" />
          <entry key="Properties" value="9" />
          <entry key="XML" value="7" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="dummy" value="38" />
          <entry key="java" value="26317" />
          <entry key="properties" value="59" />
          <entry key="txt" value="138" />
          <entry key="xml" value="2" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="26317" />
          <entry key="PLAIN_TEXT" value="176" />
          <entry key="Properties" value="59" />
          <entry key="XML" value="2" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="41" />
          <entry key="project.open.time.1" value="5" />
          <entry key="project.open.time.12" value="1" />
          <entry key="project.open.time.13" value="1" />
          <entry key="project.open.time.15" value="1" />
          <entry key="project.open.time.16" value="1" />
          <entry key="project.open.time.17" value="1" />
          <entry key="project.open.time.2" value="1" />
          <entry key="project.open.time.20" value="1" />
          <entry key="project.open.time.23" value="1" />
          <entry key="project.open.time.24" value="2" />
          <entry key="project.open.time.251" value="1" />
          <entry key="project.open.time.27" value="2" />
          <entry key="project.open.time.28" value="1" />
          <entry key="project.open.time.3" value="6" />
          <entry key="project.open.time.30" value="2" />
          <entry key="project.open.time.31" value="2" />
          <entry key="project.open.time.35" value="2" />
          <entry key="project.open.time.36" value="1" />
          <entry key="project.open.time.37" value="1" />
          <entry key="project.open.time.39" value="2" />
          <entry key="project.open.time.4" value="1" />
          <entry key="project.open.time.40" value="1" />
          <entry key="project.open.time.41" value="2" />
          <entry key="project.open.time.42" value="2" />
          <entry key="project.open.time.43" value="1" />
          <entry key="project.open.time.44" value="3" />
          <entry key="project.open.time.45" value="3" />
          <entry key="project.open.time.48" value="1" />
          <entry key="project.open.time.49" value="1" />
          <entry key="project.open.time.5" value="3" />
          <entry key="project.open.time.51" value="2" />
          <entry key="project.open.time.58" value="2" />
          <entry key="project.open.time.59" value="1" />
          <entry key="project.open.time.6" value="1" />
          <entry key="project.open.time.63" value="2" />
          <entry key="project.open.time.64" value="1" />
          <entry key="project.open.time.71" value="2" />
          <entry key="project.open.time.76" value="1" />
          <entry key="project.open.time.8" value="2" />
          <entry key="project.open.time.97" value="1" />
          <entry key="project.opened" value="68" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgInNewPlanRs.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="792">
              <caret line="53" selection-start-line="53" selection-end-line="53" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgPileRs.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="506">
              <caret line="59" column="24" selection-start-line="59" selection-start-column="24" selection-end-line="59" selection-end-column="24" />
              <folding>
                <element signature="method#addPile#0;class#PgPileRs#0" />
                <element signature="method#getPileList#0;class#PgPileRs#0" />
                <element signature="method#deletePile#0;class#PgPileRs#0" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgLineHoleRs.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="572">
              <caret line="41" column="28" selection-start-line="41" selection-start-column="28" selection-end-line="41" selection-end-column="28" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgPipeLineRs.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="132">
              <caret line="26" column="3" lean-forward="true" selection-start-line="26" selection-start-column="3" selection-end-line="26" selection-end-column="3" />
              <folding>
                <element signature="method#getPipeLineByLineType#0;class#PgPipeLineRs#0" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/manager/PgPipeLineManager.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="176">
              <caret line="24" column="71" selection-start-line="24" selection-start-column="71" selection-end-line="24" selection-end-column="71" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/manager/PgPileAcuManager.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="704">
              <caret line="57" selection-start-line="57" selection-end-line="57" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="method#getPgPileAcuByCode#0;class#PgPileAcuManager#0" />
                <element signature="method#getPileAcuListByPileAcuStr#0;class#PgPileAcuManager#0" />
                <element signature="method#getAcuListLength#0;class#PgPileAcuManager#0" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgPlanParams.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="308">
              <caret line="22" selection-start-line="22" selection-end-line="22" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>getMonthAlarmNum</find>
      <find>getAlarmList</find>
      <find>compositeFilter</find>
      <find>alarmTypeId</find>
      <find>getPipeGalleryByPgName</find>
      <find>getPgDeviceByDevType</find>
      <find>message</find>
      <find>getConstructionByType</find>
      <find>getPgCameraListByPosition</find>
      <find>incriter</find>
      <find>I</find>
      <find>inCriteria</find>
      <find>getPgPlanResulList</find>
      <find>getPileAcuListByPileAcuStr</find>
      <find>distinct</find>
      <find>order</find>
      <find>canPlanLine</find>
      <find>isExistLine</find>
      <find>getPlanResult</find>
      <find>pgPipeLine</find>
      <find>getPipeLineBylineName</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgAssetPlanStaticRs.java" />
        <option value="$PROJECT_DIR$/src/main/resources/spring/applicationContext-springmvc.xml" />
        <option value="$PROJECT_DIR$/src/main/resources/spring/applicationContext.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgAssetPlanRs.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/maintenance/dto/PgAssetPlanDto.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/maintenance/manager/PgAssetPlanManager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devData/manager/PgShManager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devData/manager/PgCh4Manager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devData/manager/PgCoManager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devData/manager/PgTempHumManager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devData/manager/PgO2Manager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgIntelPlanRs.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/domain/PgPipeLine.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgLineDTO.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgPipeLineDTO.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/domain/PgLine.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/manager/PgDeviceTypeManager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/patroler/manager/PgLogManager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/patroler/manager/PgUserManager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/domain/PgPile.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgPileDTO.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgInNewPlan.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/domain/PgPileAcu.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgPileAcuDTO.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgSectionDTO.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/manager/PgPileHoleManager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgPlanResult.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgPlanTask.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgPileAcuRs.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/domain/PgSection.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/domain/PgPipeLine.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/dto/PgPipeLineDto.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/domain/PgLineHole.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgLineType.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/core/hibernate/HibernateGenericDao.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/manager/PgPileManager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgSectionRs.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/test/planData.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/manager/PgSectionManager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgLogRs.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/test/PlanData.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgPileRs.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgLineHoleDTO.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/manager/PgLineHoleManager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgPlanResultRe.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/manager/PgPileAcuManager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgPlanParams.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgInNewPlanRs.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgLineHoleRs.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/manager/PgPipeLineManager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgPipeLineRs.java" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="LogFilters">
    <option name="FILTER_ERRORS" value="false" />
    <option name="FILTER_WARNINGS" value="false" />
    <option name="FILTER_INFO" value="true" />
    <option name="FILTER_DEBUG" value="true" />
    <option name="CUSTOM_FILTER" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHome" value="D:/Program Files/java/apache-maven-3.2.3" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="PgInterface" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-8" />
    <option name="y" value="-8" />
    <option name="width" value="1382" />
    <option name="height" value="744" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="PgInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="PgInterface" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="AndroidView" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1560334254105" />
    <property name="project.structure.last.edited" value="Artifacts" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.38850576" />
    <property name="settings.editor.selected.configurable" value="MavenSettings" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\PipeGrally\PgInterface\src\main\resources\bin" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="Unnamed" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" APPLICATION_SERVER_NAME="Tomcat 8.5.33" ALTERNATIVE_JRE_ENABLED="false">
      <option name="BROWSER_ID" value="16bf23d4-93e0-4ffc-bfd6-cb13575177b0" />
      <option name="UPDATE_ON_FRAME_DEACTIVATION" value="true" />
      <option name="UPDATE_CLASSES_ON_FRAME_DEACTIVATION" value="true" />
      <deployment>
        <artifact name="PgInterface">
          <settings>
            <option name="CONTEXT_PATH" value="/PgInterface" />
          </settings>
        </artifact>
      </deployment>
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="Unnamed_PgInterface_7" />
        <option name="JNDI_PORT" value="10991" />
      </server-settings>
      <predefined_log_file id="Tomcat" enabled="true" />
      <predefined_log_file id="Tomcat Catalina" enabled="true" />
      <predefined_log_file id="Tomcat Manager" enabled="false" />
      <predefined_log_file id="Tomcat Host Manager" enabled="false" />
      <predefined_log_file id="Tomcat Localhost Access" enabled="false" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="35177" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method v="2">
        <option name="Make" enabled="true" />
        <option name="BuildArtifacts" enabled="true">
          <artifact name="PgInterface" />
        </option>
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="ac3e85f3-13b5-472b-b1fe-97aa41c98222" name="Default Changelist" comment="" />
      <created>1559274313127</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1559274313127</updated>
      <workItem from="1559274321143" duration="5432000" />
      <workItem from="1559534294471" duration="2843000" />
      <workItem from="1559627032883" duration="1933000" />
      <workItem from="1559642367296" duration="19852000" />
      <workItem from="1559608841950" duration="1183000" />
      <workItem from="1559626533353" duration="806000" />
      <workItem from="1559811129392" duration="664000" />
      <workItem from="1560215819197" duration="12531000" />
      <workItem from="1560300112847" duration="20955000" />
      <workItem from="1560386749989" duration="2466000" />
      <workItem from="1563781880751" duration="5265000" />
      <workItem from="1563843453180" duration="634000" />
      <workItem from="1564119281986" duration="2507000" />
      <workItem from="1564124503548" duration="4416000" />
      <workItem from="1564448538977" duration="3857000" />
      <workItem from="1564455098062" duration="2354000" />
      <workItem from="1566095731601" duration="5201000" />
      <workItem from="1566176164703" duration="807000" />
      <workItem from="1566182732032" duration="410000" />
      <workItem from="1566205202678" duration="10390000" />
      <workItem from="1566290405137" duration="2006000" />
      <workItem from="1566349227516" duration="1413000" />
      <workItem from="1566350810712" duration="6803000" />
      <workItem from="1566435787074" duration="10717000" />
      <workItem from="1566521753529" duration="14265000" />
      <workItem from="1566614176989" duration="14059000" />
      <workItem from="1566780822009" duration="1026000" />
      <workItem from="1566891563975" duration="284000" />
      <workItem from="1566893107340" duration="3382000" />
      <workItem from="1566953794976" duration="11039000" />
      <workItem from="1567059357700" duration="484000" />
      <workItem from="1567082835097" duration="1086000" />
      <workItem from="1567126428020" duration="1539000" />
      <workItem from="1567129277820" duration="5788000" />
      <workItem from="1567136008996" duration="2568000" />
      <workItem from="1567237040302" duration="111000" />
      <workItem from="1567495626345" duration="2797000" />
      <workItem from="1567558770152" duration="2352000" />
      <workItem from="1567577368149" duration="640000" />
      <workItem from="1567751224608" duration="780000" />
      <workItem from="1568019299799" duration="695000" />
      <workItem from="1568082566133" duration="5005000" />
      <workItem from="1568097313441" duration="669000" />
      <workItem from="1568098092196" duration="4371000" />
      <workItem from="1568162940476" duration="782000" />
      <workItem from="1568179684726" duration="584000" />
      <workItem from="1568188168197" duration="699000" />
      <workItem from="1568595245556" duration="2333000" />
      <workItem from="1568768299452" duration="3615000" />
      <workItem from="1568968935890" duration="2281000" />
      <workItem from="1568972336965" duration="723000" />
      <workItem from="1569200362563" duration="2426000" />
      <workItem from="1569467694342" duration="234000" />
      <workItem from="1569482281499" duration="2528000" />
      <workItem from="1570496270636" duration="117000" />
      <workItem from="1570850955694" duration="3057000" />
      <workItem from="1572932652110" duration="2913000" />
      <workItem from="1572936626443" duration="4149000" />
      <workItem from="1573001301436" duration="877000" />
      <workItem from="1573007346348" duration="5102000" />
      <workItem from="1573087993021" duration="24871000" />
      <workItem from="1573436944714" duration="26212000" />
      <workItem from="1573520380986" duration="28992000" />
      <workItem from="1573606587429" duration="3555000" />
      <workItem from="1573615017767" duration="18090000" />
      <workItem from="1573779026412" duration="14327000" />
      <workItem from="1573816693540" duration="739000" />
      <workItem from="1573883162717" duration="17113000" />
      <workItem from="1574038343180" duration="1092000" />
    </task>
    <task id="LOCAL-00001" summary="修改无数据提示信息">
      <created>1564361618083</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1564361618083</updated>
    </task>
    <task id="LOCAL-00002" summary="修改设备编号对不上问题">
      <created>1566216937991</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1566216937991</updated>
    </task>
    <task id="LOCAL-00003" summary="修改权限问题">
      <created>1566349743252</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1566349743252</updated>
    </task>
    <task id="LOCAL-00004" summary="修改人员登录返回接口">
      <created>1566382083034</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1566382083035</updated>
    </task>
    <task id="LOCAL-00005" summary="修改报警统计">
      <created>1566553388171</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1566553388171</updated>
    </task>
    <task id="LOCAL-00006" summary="整理管线部分">
      <created>1566620046627</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1566620046627</updated>
    </task>
    <task id="LOCAL-00007" summary="合并代码提交">
      <created>1566781001910</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1566781001910</updated>
    </task>
    <task id="LOCAL-00008" summary="合并代码提交">
      <created>1566963831930</created>
      <option name="number" value="00008" />
      <option name="presentableId" value="LOCAL-00008" />
      <option name="project" value="LOCAL" />
      <updated>1566963831930</updated>
    </task>
    <task id="LOCAL-00009" summary="修改报警阈值">
      <created>1566972146710</created>
      <option name="number" value="00009" />
      <option name="presentableId" value="LOCAL-00009" />
      <option name="project" value="LOCAL" />
      <updated>1566972146710</updated>
    </task>
    <task id="LOCAL-00010" summary="修改巡检维护表字段">
      <created>1567126525554</created>
      <option name="number" value="00010" />
      <option name="presentableId" value="LOCAL-00010" />
      <option name="project" value="LOCAL" />
      <updated>1567126525554</updated>
    </task>
    <task id="LOCAL-00011" summary="修改巡检内容">
      <created>1568086635507</created>
      <option name="number" value="00011" />
      <option name="presentableId" value="LOCAL-00011" />
      <option name="project" value="LOCAL" />
      <updated>1568086635507</updated>
    </task>
    <task id="LOCAL-00012" summary="修改巡检内容">
      <created>1568768749481</created>
      <option name="number" value="00012" />
      <option name="presentableId" value="LOCAL-00012" />
      <option name="project" value="LOCAL" />
      <updated>1568768749481</updated>
    </task>
    <task id="LOCAL-00013" summary="重新设计智能规划部分">
      <created>1573608273315</created>
      <option name="number" value="00013" />
      <option name="presentableId" value="LOCAL-00013" />
      <option name="project" value="LOCAL" />
      <updated>1573608273315</updated>
    </task>
    <option name="localTasksCounter" value="14" />
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="363323000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1382" height="744" extended-state="6" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.22087745" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="Image Layers" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Favorites" order="5" side_tool="true" />
      <window_info id="Capture Tool" order="6" />
      <window_info id="Web" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.3295082" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" sideWeight="0.49924356" weight="0.5098361" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.3295082" />
      <window_info anchor="bottom" id="Application Servers" order="7" weight="0.3276923" />
      <window_info anchor="bottom" id="Spring" order="8" />
      <window_info anchor="bottom" id="Terminal" order="9" />
      <window_info anchor="bottom" id="Event Log" order="10" sideWeight="0.50075644" side_tool="true" weight="0.78615385" />
      <window_info anchor="bottom" id="Statistic" order="11" />
      <window_info anchor="bottom" id="Java Enterprise" order="12" />
      <window_info anchor="bottom" id="Database Changes" order="13" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="14" weight="0.3262295" />
      <window_info anchor="bottom" id="Messages" order="15" weight="0.5229508" />
      <window_info anchor="bottom" id="Thumbnails" order="16" weight="0.3295082" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.24962178" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Maven Projects" order="5" weight="0.32980332" />
      <window_info anchor="right" id="Database" order="6" weight="0.32980332" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="Bean Validation" order="9" weight="0.32980332" />
    </layout>
    <layout-to-restore>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.22995462" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="Image Layers" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Favorites" order="5" side_tool="true" />
      <window_info id="Capture Tool" order="6" />
      <window_info id="Web" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" sideWeight="0.49924356" weight="0.4967213" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.3295082" />
      <window_info anchor="bottom" id="Application Servers" order="7" weight="0.3276923" />
      <window_info anchor="bottom" id="Spring" order="8" />
      <window_info anchor="bottom" id="Terminal" order="9" />
      <window_info anchor="bottom" id="Event Log" order="10" sideWeight="0.50075644" side_tool="true" weight="0.78615385" />
      <window_info anchor="bottom" id="Statistic" order="11" />
      <window_info anchor="bottom" id="Java Enterprise" order="12" />
      <window_info anchor="bottom" id="Database Changes" order="13" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="14" weight="0.3262295" />
      <window_info anchor="bottom" id="Messages" order="15" weight="0.5229508" />
      <window_info anchor="bottom" id="Thumbnails" order="16" weight="0.3295082" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.24962178" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Maven Projects" order="5" weight="0.32980332" />
      <window_info anchor="right" id="Database" order="6" weight="0.32980332" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="Bean Validation" order="9" weight="0.32980332" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.History.Properties">
    <option name="COLUMN_ORDER">
      <list>
        <option value="0" />
        <option value="2" />
        <option value="3" />
        <option value="1" />
      </list>
    </option>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="修改无数据提示信息" />
    <MESSAGE value="修改设备编号对不上问题" />
    <MESSAGE value="修改权限问题" />
    <MESSAGE value="修改人员登录返回接口" />
    <MESSAGE value="修改报警统计" />
    <MESSAGE value="整理管线部分" />
    <MESSAGE value="合并代码提交" />
    <MESSAGE value="修改报警阈值" />
    <MESSAGE value="修改巡检维护表字段" />
    <MESSAGE value="修改巡检内容" />
    <MESSAGE value="重新设计智能规划部分" />
    <option name="LAST_COMMIT_MESSAGE" value="重新设计智能规划部分" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/overtimeInPG/web/PGInOutRecController.java</url>
          <line>40</line>
          <properties />
          <option name="timeStamp" value="3" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/reservePlan/domain/PgReservePlan.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="220">
          <caret line="14" column="13" selection-start-line="14" selection-start-column="13" selection-end-line="14" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/WEB-INF/web.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="792">
          <caret line="45" column="22" lean-forward="true" selection-start-line="45" selection-start-column="22" selection-end-line="45" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/domain/PgIntelPlan.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="286">
          <caret line="14" column="31" selection-start-line="14" selection-start-column="31" selection-end-line="14" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/domain/PgAlarm.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="440">
          <caret line="26" column="28" lean-forward="true" selection-start-line="26" selection-start-column="28" selection-end-line="26" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/domain/PgDevice.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="392">
          <caret line="23" column="33" lean-forward="true" selection-start-line="23" selection-start-column="33" selection-end-line="23" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/patroler/manager/PgLogManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="374">
          <caret line="61" lean-forward="true" selection-start-line="61" selection-end-line="61" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/patroler/manager/PgUserManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="406">
          <caret line="77" lean-forward="true" selection-start-line="77" selection-end-line="77" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/patroler/manager/PgRoleManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="286">
          <caret line="54" lean-forward="true" selection-start-line="54" selection-end-line="54" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgAlarmRs.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-730">
          <caret line="28" column="24" lean-forward="true" selection-start-line="28" selection-start-column="24" selection-end-line="28" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgUserRs.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="192">
          <caret line="60" column="7" lean-forward="true" selection-start-line="60" selection-start-column="7" selection-end-line="60" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgPileDTO.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1012">
          <caret line="58" column="1" lean-forward="true" selection-start-line="58" selection-start-column="1" selection-end-line="58" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgPileAcuDTO.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="219">
          <caret line="45" column="5" lean-forward="true" selection-start-line="45" selection-start-column="5" selection-end-line="45" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/manager/PgDeviceManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="352">
          <caret line="71" column="21" lean-forward="true" selection-start-line="71" selection-start-column="21" selection-end-line="71" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/reservePlan/manager/PgReservePlanManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1100">
          <caret line="31" lean-forward="true" selection-start-line="31" selection-end-line="31" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/hibernate/hibernate-core/4.3.6.Final/hibernate-core-4.3.6.Final-sources.jar!/org/hibernate/criterion/Restrictions.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="194">
          <caret line="65" column="35" selection-start-line="65" selection-start-column="35" selection-end-line="65" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgSectionDTO.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="110">
          <caret line="5" column="30" lean-forward="true" selection-start-line="5" selection-start-column="30" selection-end-line="5" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/manager/PgDeviceTypeManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="13" column="3" lean-forward="true" selection-start-line="13" selection-start-column="3" selection-end-line="13" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/domain/PgPipeLine.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgPipeLineDTO.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgReservePlanRs.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="194">
          <caret line="28" column="13" selection-start-line="28" selection-start-column="13" selection-end-line="28" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/dto/PgPipeLineLengthStatic.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="110">
          <caret line="5" column="13" selection-start-line="5" selection-start-column="13" selection-end-line="5" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/dto/PgPipeLineDto.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="528">
          <caret line="36" selection-start-line="36" selection-end-line="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/domain/PgSection.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="22">
          <caret line="1" lean-forward="true" selection-start-line="1" selection-end-line="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgIntelPlanRs.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="374">
          <caret line="49" column="5" lean-forward="true" selection-start-line="26" selection-start-column="1" selection-end-line="49" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/domain/PgPileAcu.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="110">
          <caret line="12" column="26" selection-start-line="12" selection-start-column="19" selection-end-line="12" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="93">
          <caret line="22" lean-forward="true" selection-start-line="22" selection-end-line="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/manager/PgAlarmManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="261">
          <caret line="111" lean-forward="true" selection-start-line="111" selection-end-line="111" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/manager/PgIntelPlanManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="374">
          <caret line="121" lean-forward="true" selection-start-line="121" selection-end-line="121" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgLineType.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="6" column="33" selection-start-line="6" selection-start-column="33" selection-end-line="6" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/core/hibernate/HibernateGenericDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="282">
          <caret line="133" lean-forward="true" selection-start-line="133" selection-end-line="133" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/domain/PgPile.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="308">
          <caret line="14" column="7" lean-forward="true" selection-start-line="14" selection-start-column="7" selection-end-line="14" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgSectionRs.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="362">
          <caret line="109" lean-forward="true" selection-start-line="109" selection-end-line="109" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/manager/PgSectionManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="38">
          <caret line="25" selection-start-line="25" selection-end-line="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgLogRs.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="315">
          <caret line="51" column="29" lean-forward="true" selection-start-line="51" selection-start-column="29" selection-end-line="51" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/domain/PgPipeLine.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="220">
          <caret line="24" lean-forward="true" selection-start-line="24" selection-end-line="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/domain/PgLineHole.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="242">
          <caret line="12" column="34" selection-start-line="12" selection-start-column="34" selection-end-line="12" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/test/PlanData.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="220">
          <caret line="14" selection-start-line="14" selection-end-line="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/manager/PgPileManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="242">
          <caret line="20" lean-forward="true" selection-start-line="20" selection-end-line="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgPileAcuRs.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="594">
          <caret line="67" column="9" lean-forward="true" selection-start-line="67" selection-start-column="9" selection-end-line="67" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/manager/PgLineHoleManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="176">
          <caret line="19" column="13" lean-forward="true" selection-start-line="19" selection-start-column="13" selection-end-line="19" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgLineHoleDTO.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="110">
          <caret line="10" lean-forward="true" selection-start-line="10" selection-end-line="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgPlanResult.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="110">
          <caret line="5" column="23" lean-forward="true" selection-start-line="5" selection-start-column="23" selection-end-line="5" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgPlanTask.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="66">
          <caret line="3" lean-forward="true" selection-start-line="3" selection-end-line="8" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgPlanResultRe.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="220">
          <caret line="12" lean-forward="true" selection-start-line="12" selection-end-line="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgInNewPlanRs.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="792">
          <caret line="53" selection-start-line="53" selection-end-line="53" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgPileRs.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="506">
          <caret line="59" column="24" selection-start-line="59" selection-start-column="24" selection-end-line="59" selection-end-column="24" />
          <folding>
            <element signature="method#addPile#0;class#PgPileRs#0" />
            <element signature="method#getPileList#0;class#PgPileRs#0" />
            <element signature="method#deletePile#0;class#PgPileRs#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgLineHoleRs.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="572">
          <caret line="41" column="28" selection-start-line="41" selection-start-column="28" selection-end-line="41" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/manager/PgPipeLineManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="176">
          <caret line="24" column="71" selection-start-line="24" selection-start-column="71" selection-end-line="24" selection-end-column="71" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/manager/PgPileAcuManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="704">
          <caret line="57" selection-start-line="57" selection-end-line="57" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="method#getPgPileAcuByCode#0;class#PgPileAcuManager#0" />
            <element signature="method#getPileAcuListByPileAcuStr#0;class#PgPileAcuManager#0" />
            <element signature="method#getAcuListLength#0;class#PgPileAcuManager#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/intelPlan/dto/PgPlanParams.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="308">
          <caret line="22" selection-start-line="22" selection-end-line="22" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgPipeLineRs.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="26" column="3" lean-forward="true" selection-start-line="26" selection-start-column="3" selection-end-line="26" selection-end-column="3" />
          <folding>
            <element signature="method#getPipeLineByLineType#0;class#PgPipeLineRs#0" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <last-edited>PgInterface</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.38850576" />
                <option value="0.5" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>Spring</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.38850576" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>PgInterface</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.38850576" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>Maven: antlr:antlr:2.7.7</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.38850576" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>